Skip to main content
POST
/
alert-receivers
Create alert receiver
curl --request POST \
  --url https://api.qovery.com/alert-receivers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "type": "SLACK",
  "send_resolved": true,
  "webhook_url": "<string>",
  "owner": "<string>",
  "severity": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "description": "<string>",
  "type": "SLACK",
  "send_resolved": true,
  "updated_at": "2023-11-07T05:31:56Z",
  "owner": "<string>",
  "severity": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Body

application/json
organization_id
string<uuid>
required
name
string
required
description
string
required
type
enum<string>
required
Available options:
SLACK,
EMAIL
send_resolved
boolean
required
webhook_url
string<uri>
required
owner
string | null
severity
string | null

Response

Alert receiver successfully created

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required
description
string
required
type
enum<string>
required
Available options:
SLACK,
EMAIL
send_resolved
boolean
required
updated_at
string<date-time>
read-only
owner
string | null
severity
string | null